org.springframework.cache.support

## Class SimpleCacheManager

- java.lang.Object
- - org.springframework.cache.support.AbstractCacheManager
  - - org.springframework.cache.support.SimpleCacheManager

All Implemented Interfaces:
  InitializingBean, CacheManager

    public class SimpleCacheManager
    extends AbstractCacheManager

Simple cache manager working against a given collection of caches. Useful for testing or simple caching declarations.

Since:
  3.1
Author:
  Costin Leau

### Constructor Summary

Constructors
Constructor and Description
`SimpleCacheManager()`

### Method Summary

Methods
`protected Collection<? extends Cache>` `loadCaches()` Load the caches for this cache manager.
`void` `setCaches(Collection<? extends Cache> caches)` Specify the collection of Cache instances to use for this CacheManager.

### Methods inherited from class org.springframework.cache.support.AbstractCacheManager

`addCache, afterPropertiesSet, decorateCache, getCache, getCacheNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleCacheManager

    public SimpleCacheManager()

### Method Detail

#### setCaches

    public void setCaches(Collection<? extends Cache> caches)

Specify the collection of Cache instances to use for this CacheManager.

#### loadCaches

    protected Collection<? extends Cache> loadCaches()

Description copied from class: `AbstractCacheManager`
Load the caches for this cache manager. Occurs at startup. The returned collection must not be null.

Specified by:
  `loadCaches` in class `AbstractCacheManager`